diff --git a/wwjcloud/src/common/auth/services/core/CoreLoginConfigService.ts b/wwjcloud/src/common/auth/services/core/CoreLoginConfigService.ts
index 8ddd1f2..a2cfbd4 100644
--- a/wwjcloud/src/common/auth/services/core/CoreLoginConfigService.ts
+++ b/wwjcloud/src/common/auth/services/core/CoreLoginConfigService.ts
@@ -1,12 +1,99 @@
 import { Injectable } from '@nestjs/common';
+import { InjectRepository } from '@nestjs/typeorm';
+import { Repository } from 'typeorm';
+import { SysConfig } from '../../../settings/entities/sys-config.entity';
+import { BaseService } from '../../../../core/base/BaseService';
 import { LoginConfigDto } from '../../dto/admin/LoginConfigDto';
 
-@Injectable()
-export class CoreLoginConfigService {
-  constructor() {}
+export interface LoginConfig {
+  isCaptcha: number;
+  isSiteCaptcha: number;
+  bg: string;
+  siteBg: string;
+  loginMethods: {
+    username: boolean;
+    email: boolean;
+    mobile: boolean;
+    wechat: boolean;
+    qq: boolean;
+  };
+  passwordPolicy: {
+    minLength: number;
+    requireSpecialChar: boolean;
+    requireNumber: boolean;
+    requireUppercase: boolean;
+  };
+  loginLimit: {
+    maxAttempts: number;
+    lockoutDuration: number;
+    lockoutType: string;
+  };
+  // PHP 特有字段
+  isAuthRegister: boolean;
+  isForceAccessUserInfo: boolean;
+  isBindMobile: boolean;
+  agreementShow: boolean;
+  desc: string;
+}
+
+@Injectable()
+export class CoreLoginConfigService extends BaseService<SysConfig> {
+  constructor(
+    @InjectRepository(SysConfig)
+    configRepository: Repository<SysConfig>,
+  ) {
+    super(configRepository);
+  }
+
+  async getConfig(siteId: number): Promise<LoginConfig> {
+    // 对齐 PHP: CoreMemberConfigService->getLoginConfig()
+    const config = await this.repository.findOne({
+      where: { 
+        config_key: 'LOGIN',
+        site_id: siteId 
+      },
+    });
+    
+    if (config?.value) {
+      let configData: any;
+      try {
+        configData = JSON.parse(config.value);
+      } catch {
+        configData = {};
+      }
+      
+      return {
+        isCaptcha: 1, // 默认启用验证码
+        isSiteCaptcha: 1, // 默认启用站点验证码
+        bg: configData.bg_url || '', // 登录背景图
+        siteBg: configData.bg_url || '', // 站点登录背景图
+        loginMethods: {
+          username: configData.is_username === 1,
+          email: false, // PHP 中没有邮箱登录
+          mobile: configData.is_mobile === 1,
+          wechat: false, // 微信登录通过其他方式处理
+          qq: false,
+        },
+        passwordPolicy: {
+          minLength: 6,
+          requireSpecialChar: false,
+          requireNumber: false,
+          requireUppercase: false,
+        },
+        loginLimit: {
+          maxAttempts: 5,
+          lockoutDuration: 30, // 分钟
+          lockoutType: 'ip', // ip 或 username
+        },
+        // PHP 特有字段
+        isAuthRegister: configData.is_auth_register === 1,
+        isForceAccessUserInfo: configData.is_force_access_user_info === 1,
+        isBindMobile: configData.is_bind_mobile === 1,
+        agreementShow: configData.agreement_show === 1,
+        desc: configData.desc || '精选好物，购物优惠的省钱平台',
+      };
+    }
 
-  async getConfig() {
-    // 对齐 PHP: ConfigService->getConfig()
     return {
       isCaptcha: 1, // 默认启用验证码
       isSiteCaptcha: 1, // 默认启用站点验证码
@@ -14,8 +101,8 @@ export class CoreLoginConfigService {
       siteBg: '', // 站点登录背景图
       loginMethods: {
         username: true,
-        email: true,
-        mobile: true,
+        email: false,
+        mobile: false,
         wechat: false,
         qq: false,
       },
@@ -30,68 +117,81 @@ export class CoreLoginConfigService {
         lockoutDuration: 30, // 分钟
         lockoutType: 'ip', // ip 或 username
       },
+      // PHP 特有字段
+      isAuthRegister: true,
+      isForceAccessUserInfo: false,
+      isBindMobile: false,
+      agreementShow: false,
+      desc: '精选好物，购物优惠的省钱平台',
     };
   }
 
-  async setConfig(dto: LoginConfigDto) {
-    // 对齐 PHP: ConfigService->setConfig()
+  async setConfig(dto: LoginConfigDto, siteId: number) {
+    // 对齐 PHP: CoreMemberConfigService->setLoginConfig()
     const config = {
-      isCaptcha: dto.isCaptcha ?? 1,
-      isSiteCaptcha: dto.isSiteCaptcha ?? 1,
-      bg: dto.bg ?? '',
-      siteBg: dto.siteBg ?? '',
-      loginMethods: dto.loginMethods ?? {
-        username: true,
-        email: true,
-        mobile: true,
-        wechat: false,
-        qq: false,
-      },
-      passwordPolicy: dto.passwordPolicy ?? {
-        minLength: 6,
-        requireSpecialChar: false,
-        requireNumber: false,
-        requireUppercase: false,
-      },
-      loginLimit: dto.loginLimit ?? {
-        maxAttempts: 5,
-        lockoutDuration: 30,
-        lockoutType: 'ip',
-      },
+      is_username: dto.loginMethods?.username ? 1 : 0,
+      is_mobile: dto.loginMethods?.mobile ? 1 : 0,
+      is_auth_register: dto.isAuthRegister ? 1 : 0,
+      is_force_access_user_info: dto.isForceAccessUserInfo ? 1 : 0,
+      is_bind_mobile: dto.isBindMobile ? 1 : 0,
+      agreement_show: dto.agreementShow ? 1 : 0,
+      bg_url: dto.bg || '',
+      desc: dto.desc || '精选好物，购物优惠的省钱平台',
     };
 
-    // TODO: 保存配置到数据库或配置文件
-    // await this.saveConfig(config);
+    const existed = await this.repository.findOne({
+      where: { 
+        config_key: 'LOGIN',
+        site_id: siteId 
+      },
+    });
+    
+    if (existed) {
+      await this.update(existed.id, {
+        value: JSON.stringify(config),
+      });
+    } else {
+      await this.create({
+        site_id: siteId,
+        config_key: 'LOGIN',
+        value: JSON.stringify(config),
+      });
+    }
 
     return { success: true, message: '配置保存成功' };
   }
 
   // 兼容 API 层调用的方法（按 PHP 语义拆分）
-  async getInfo(query?: any) {
-    return this.getConfig();
+  async getInfo(siteId: number, _query?: any): Promise<LoginConfig> {
+    return this.getConfig(siteId);
   }
 
-  async getMethods(query?: any) {
-    const config = await this.getConfig();
+  async getMethods(siteId: number, _query?: any) {
+    const config = await this.getConfig(siteId);
     return config.loginMethods;
   }
 
-  async getCaptchaConfig(query?: any) {
-    const config = await this.getConfig();
+  async getCaptchaConfig(siteId: number, _query?: any) {
+    const config = await this.getConfig(siteId);
     return { isCaptcha: config.isCaptcha, isSiteCaptcha: config.isSiteCaptcha };
   }
 
-  async getThirdPartyConfig(query?: any) {
-    const config = await this.getConfig();
+  async getThirdPartyConfig(siteId: number, _query?: any) {
+    const config = await this.getConfig(siteId);
     return { wechat: config.loginMethods.wechat, qq: config.loginMethods.qq };
   }
 
-  async getRegisterConfig(query?: any) {
-    const config = await this.getConfig();
+  async getRegisterConfig(siteId: number, _query?: any) {
+    const config = await this.getConfig(siteId);
     return { passwordPolicy: config.passwordPolicy };
   }
 
-  async getForgotPasswordConfig(query?: any) {
+  getForgotPasswordConfig(_query?: any) {
     return { ways: ['email', 'mobile'] };
   }
+
+  private buildConfigKey(siteId: number): string {
+    // 兼容无 site_id 字段的实体定义，使用 key 后缀区分站点
+    return `login_config:site:${siteId || 0}`;
+  }
 }
diff --git a/wwjcloud/src/common/diy/entities/DiyForm.ts b/wwjcloud/src/common/diy/entities/DiyForm.ts
index c7e21a6..e480207 100644
--- a/wwjcloud/src/common/diy/entities/DiyForm.ts
+++ b/wwjcloud/src/common/diy/entities/DiyForm.ts
@@ -1,36 +1,50 @@
-import { Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
+import { Entity, PrimaryGeneratedColumn, Column, OneToMany, CreateDateColumn, UpdateDateColumn } from 'typeorm';
 import { DiyFormFields } from './DiyFormFields';
 import { DiyFormRecords } from './DiyFormRecords';
 
 @Entity('diy_form')
-export class DiyForm extends BaseEntity {
+export class DiyForm {
   @PrimaryGeneratedColumn({ name: 'form_id' })
   form_id: number;
 
-  @Column({ name: 'title', type: 'varchar', length: 255, comment: '表单标题' })
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
+  @Column({ name: 'page_title', type: 'varchar', length: 255, default: '', comment: '表单名称（用于后台展示）' })
+  page_title: string;
+
+  @Column({ name: 'title', type: 'varchar', length: 255, default: '', comment: '表单名称（用于前台展示）' })
   title: string;
 
-  @Column({ name: 'type', type: 'varchar', length: 50, comment: '表单类型' })
+  @Column({ name: 'type', type: 'varchar', length: 255, default: '', comment: '表单类型' })
   type: string;
 
-  @Column({ name: 'value', type: 'text', nullable: true, comment: '表单配置JSON' })
-  value: string;
-
-  @Column({ name: 'share', type: 'text', nullable: true, comment: '分享配置JSON' })
-  share: string;
-
-  @Column({ name: 'status', type: 'tinyint', default: 1, comment: '状态：0=禁用,1=启用' })
+  @Column({ name: 'status', type: 'tinyint', default: 0, comment: '状态（0，关闭，1：开启）' })
   status: number;
 
-  @Column({ name: 'is_default', type: 'tinyint', default: 0, comment: '是否默认：0=否,1=是' })
-  is_default: number;
+  @Column({ name: 'template', type: 'varchar', length: 255, default: '', comment: '模板名称' })
+  template: string;
 
-  @Column({ name: 'addon', type: 'varchar', length: 100, default: '', comment: '插件标识' })
+  @Column({ name: 'value', type: 'longtext', nullable: true, comment: '表单数据，json格式，包含展示组件' })
+  value: string;
+
+  @Column({ name: 'addon', type: 'varchar', length: 255, default: '', comment: '所属插件标识' })
   addon: string;
 
-  @Column({ name: 'sort', type: 'int', default: 0, comment: '排序' })
-  sort: number;
+  @Column({ name: 'share', type: 'varchar', length: 1000, default: '', comment: '分享内容' })
+  share: string;
+
+  @Column({ name: 'write_num', type: 'int', default: 0, comment: '表单填写总数量' })
+  write_num: number;
+
+  @Column({ name: 'remark', type: 'varchar', length: 255, default: '', comment: '备注说明' })
+  remark: string;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '创建时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
 
   // 关联字段
   @OneToMany(() => DiyFormFields, fields => fields.form)
diff --git a/wwjcloud/src/common/diy/entities/DiyPage.ts b/wwjcloud/src/common/diy/entities/DiyPage.ts
index c5fe8ce..d8efd2d 100644
--- a/wwjcloud/src/common/diy/entities/DiyPage.ts
+++ b/wwjcloud/src/common/diy/entities/DiyPage.ts
@@ -1,12 +1,11 @@
-import { Entity, PrimaryGeneratedColumn, Column } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
+import { Entity, PrimaryGeneratedColumn, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';
 
 /**
  * 自定义页面实体
  * 对应数据库表: diy_page
  */
 @Entity('diy_page')
-export class DiyPage extends BaseEntity {
+export class DiyPage {
   @PrimaryGeneratedColumn({ name: 'id' })
   id: number;
 
@@ -43,5 +42,12 @@ export class DiyPage extends BaseEntity {
   @Column({ name: 'visit_count', type: 'int', default: 0, comment: '访问量' })
   visit_count: number;
 
-  // create_time 和 update_time 由 BaseEntity 提供
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '创建时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
 }
diff --git a/wwjcloud/src/common/diy/services/admin/DiyService.ts b/wwjcloud/src/common/diy/services/admin/DiyService.ts
index 427e4ed..5a92e80 100644
--- a/wwjcloud/src/common/diy/services/admin/DiyService.ts
+++ b/wwjcloud/src/common/diy/services/admin/DiyService.ts
@@ -1,4 +1,4 @@
-import { Injectable } from '@nestjs/common';
+import { Injectable, UnauthorizedException } from '@nestjs/common';
 import { CoreDiyService } from '../core/CoreDiyService';
 import { DiyPage } from '../../entities/DiyPage';
 
@@ -74,7 +74,10 @@ export class DiyService {
    * 控制器所需：分页
    */
   async getPage(query: any) {
-    const { site_id = 0, key } = query || {};
+    const { site_id, key } = query || {};
+    if (!site_id) {
+      throw new Error('缺少 site_id 参数');
+    }
     const list = await this.coreDiyService.getPageListByType(Number(site_id), key);
     const page = Number(query?.page || 1);
     const limit = Number(query?.limit || list.length || 20);
@@ -88,9 +91,12 @@ export class DiyService {
   }
 
   async add(data: any) {
+    if (!data.site_id) {
+      throw new UnauthorizedException('Missing site_id');
+    }
     // 对齐 PHP 字段映射
     const payload = {
-      site_id: data.site_id || 0,
+      site_id: data.site_id,
       name: data.page_name,
       type: data.page_type || data.key || 'custom',
       value: JSON.stringify(data.page_data || {}),
@@ -118,7 +124,7 @@ export class DiyService {
     const info = await this.coreDiyService.getPageInfo(pageId);
     if (!info) return null;
     return this.coreDiyService.addPage({
-      site_id: (info as any).site_id || 0,
+      site_id: (info as any).site_id,
       name: newName,
       type: (info as any).type,
       value: (info as any).value,
@@ -136,7 +142,7 @@ export class DiyService {
     const info = await this.coreDiyService.getPageInfo(pageId);
     if (!info) return false;
     // 对齐 PHP：设置为默认
-    await this.coreDiyService.setDefaultPage((info as any).site_id || 0, (info as any).name, (info as any).id);
+    await this.coreDiyService.setDefaultPage((info as any).site_id, (info as any).name, (info as any).id);
     return true;
   }
 
diff --git a/wwjcloud/src/common/diy/services/core/CoreDiyFormService.ts b/wwjcloud/src/common/diy/services/core/CoreDiyFormService.ts
index 5ce3e26..4e758cb 100644
--- a/wwjcloud/src/common/diy/services/core/CoreDiyFormService.ts
+++ b/wwjcloud/src/common/diy/services/core/CoreDiyFormService.ts
@@ -1,7 +1,6 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository, In } from 'typeorm';
-import { BaseService } from '../../../../core/base/BaseService';
 import { DiyForm } from '../../entities/DiyForm';
 import { DiyFormFields } from '../../entities/DiyFormFields';
 import { DiyFormRecords } from '../../entities/DiyFormRecords';
@@ -14,7 +13,7 @@ import { DiyFormWriteConfig } from '../../entities/DiyFormWriteConfig';
  * 对应PHP: CoreDiyFormService
  */
 @Injectable()
-export class CoreDiyFormService extends BaseService<DiyForm> {
+export class CoreDiyFormService {
   constructor(
     @InjectRepository(DiyForm)
     private readonly diyFormRepository: Repository<DiyForm>,
@@ -28,9 +27,7 @@ export class CoreDiyFormService extends BaseService<DiyForm> {
     private readonly diyFormSubmitConfigRepository: Repository<DiyFormSubmitConfig>,
     @InjectRepository(DiyFormWriteConfig)
     private readonly diyFormWriteConfigRepository: Repository<DiyFormWriteConfig>,
-  ) {
-    super(diyFormRepository);
-  }
+  ) {}
 
   /**
    * 分页查询表单列表
@@ -160,9 +157,7 @@ export class CoreDiyFormService extends BaseService<DiyForm> {
         'value',
         'share',
         'status',
-        'is_default',
         'addon',
-        'sort',
         'create_time',
         'update_time',
       ],
@@ -297,13 +292,13 @@ export class CoreDiyFormService extends BaseService<DiyForm> {
     // 先取消所有默认
     await this.diyFormRepository.update(
       { site_id: siteId },
-      { is_default: 0, update_time: Math.floor(Date.now() / 1000) },
+      { status: 0, update_time: Math.floor(Date.now() / 1000) },
     );
 
     // 设置当前为默认
     const result = await this.diyFormRepository.update(
       { form_id: formId, site_id: siteId },
-      { is_default: 1, update_time: Math.floor(Date.now() / 1000) },
+      { status: 1, update_time: Math.floor(Date.now() / 1000) },
     );
 
     return (result.affected || 0) > 0;
diff --git a/wwjcloud/src/common/diy/services/core/CoreDiyService.ts b/wwjcloud/src/common/diy/services/core/CoreDiyService.ts
index 063e6f1..afd73f3 100644
--- a/wwjcloud/src/common/diy/services/core/CoreDiyService.ts
+++ b/wwjcloud/src/common/diy/services/core/CoreDiyService.ts
@@ -1,13 +1,12 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { DiyPage } from '../../entities/DiyPage';
 import { DiyRoute } from '../../entities/DiyRoute';
 import { DiyTheme } from '../../entities/DiyTheme';
 
 @Injectable()
-export class CoreDiyService extends BaseService<DiyPage> {
+export class CoreDiyService {
   constructor(
     @InjectRepository(DiyPage)
     private diyPageRepository: Repository<DiyPage>,
@@ -15,9 +14,7 @@ export class CoreDiyService extends BaseService<DiyPage> {
     private diyRouteRepository: Repository<DiyRoute>,
     @InjectRepository(DiyTheme)
     private diyThemeRepository: Repository<DiyTheme>,
-  ) {
-    super(diyPageRepository);
-  }
+  ) {}
 
   /**
    * 获取DIY页面列表
@@ -140,6 +137,33 @@ export class CoreDiyService extends BaseService<DiyPage> {
   /**
    * 设置默认页面
    */
+  /**
+   * 删除页面
+   */
+  async delete(pageId: number) {
+    const result = await this.diyPageRepository.delete({ id: pageId });
+    return (result.affected || 0) > 0;
+  }
+
+  /**
+   * 创建页面
+   */
+  async create(data: any) {
+    const page = this.diyPageRepository.create(data);
+    return await this.diyPageRepository.save(page);
+  }
+
+  /**
+   * 更新页面
+   */
+  async update(pageId: number, data: any) {
+    const result = await this.diyPageRepository.update(
+      { id: pageId },
+      { ...data, update_time: Math.floor(Date.now() / 1000) }
+    );
+    return (result.affected || 0) > 0;
+  }
+
   async setDefaultPage(site_id: number, name: string, page_id: number) {
     // 先取消其他页面的默认状态
     await this.diyPageRepository.update(
diff --git a/wwjcloud/src/common/home/home.module.ts b/wwjcloud/src/common/home/home.module.ts
new file mode 100644
index 0000000..5e79867
--- /dev/null
+++ b/wwjcloud/src/common/home/home.module.ts
@@ -0,0 +1,10 @@
+import { Module } from '@nestjs/common';
+import { HomeSiteService } from './services/admin/HomeSiteService';
+import { SiteController } from './controllers/adminapi/SiteController';
+
+@Module({
+  controllers: [SiteController],
+  providers: [HomeSiteService],
+  exports: [HomeSiteService],
+})
+export class HomeModule {}
diff --git a/wwjcloud/src/common/jobs/jobs.module.ts b/wwjcloud/src/common/jobs/jobs.module.ts
index 38cc4fb..d54b44e 100644
--- a/wwjcloud/src/common/jobs/jobs.module.ts
+++ b/wwjcloud/src/common/jobs/jobs.module.ts
@@ -1,5 +1,10 @@
-import { Module } from '@nestjs/common';
+import { Module, forwardRef } from '@nestjs/common';
 import { VendorModule } from '../../vendor';
+import { PayModule } from '../pay/pay.module';
+import { SiteModule } from '../site/site.module';
+import { SysModule } from '../sys/sys.module';
+import { ScheduleModule } from '../schedule/schedule.module';
+import { MemberModule } from '../member/member.module';
 import { JobsService } from './jobs.service';
 import { OnModuleInit } from '@nestjs/common';
 import { PaymentProcessors } from './processors/payment';
@@ -12,7 +17,7 @@ import { UpgradeProcessors } from './processors/upgrade';
 import { WxoplatformProcessors } from './processors/wxoplatform';
 
 @Module({
-  imports: [VendorModule],
+  imports: [VendorModule, forwardRef(() => PayModule), SiteModule, SysModule, ScheduleModule, MemberModule],
   providers: [
     JobsService,
     PaymentProcessors,
diff --git a/wwjcloud/src/common/jobs/processors/payment/index.ts b/wwjcloud/src/common/jobs/processors/payment/index.ts
index 5744636..9cffecb 100644
--- a/wwjcloud/src/common/jobs/processors/payment/index.ts
+++ b/wwjcloud/src/common/jobs/processors/payment/index.ts
@@ -20,17 +20,17 @@ export class PaymentProcessors {
       ? await this.corePay.findByOutTradeNo(data.siteId, data.outTradeNo)
       : await this.corePay.findByOutTradeNoUnsafe(data.outTradeNo);
     if (!pay) return { skipped: true };
-    const resolved = await this.registry.resolve(pay.siteId, pay.type, pay.channel);
+    const resolved = await this.registry.resolve(pay.site_id, pay.type, pay.channel);
     const adapter: PaymentAdapter = resolved.adapter as PaymentAdapter;
     const config: unknown = resolved.config as unknown;
     const q: { status: string; tradeNo?: string } = await adapter.query(
       config as any,
-      pay.outTradeNo,
+      pay.out_trade_no,
     );
     if (q.status === 'SUCCESS') {
-      await this.corePay.updateStatus(pay.siteId, pay.outTradeNo, 1, q.tradeNo);
+      await this.corePay.updateStatus(pay.site_id, pay.out_trade_no, 1, q.tradeNo);
     } else if (q.status === 'CLOSED') {
-      await this.corePay.updateStatus(pay.siteId, pay.outTradeNo, 2);
+      await this.corePay.updateStatus(pay.site_id, pay.out_trade_no, 2);
     }
     return { ok: true };
   }
diff --git a/wwjcloud/src/common/login/login.module.ts b/wwjcloud/src/common/login/login.module.ts
new file mode 100644
index 0000000..e53aa7c
--- /dev/null
+++ b/wwjcloud/src/common/login/login.module.ts
@@ -0,0 +1,10 @@
+import { Module } from '@nestjs/common';
+import { LoginService } from './services/admin/LoginService';
+import { LoginController } from './controllers/adminapi/LoginController';
+
+@Module({
+  controllers: [LoginController],
+  providers: [LoginService],
+  exports: [LoginService],
+})
+export class LoginModule {}
diff --git a/wwjcloud/src/common/member/entities/Member.ts b/wwjcloud/src/common/member/entities/Member.ts
index c17c46c..810876c 100644
--- a/wwjcloud/src/common/member/entities/Member.ts
+++ b/wwjcloud/src/common/member/entities/Member.ts
@@ -5,8 +5,9 @@ import {
   OneToMany,
   ManyToOne,
   JoinColumn,
+  CreateDateColumn,
+  UpdateDateColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 import { MemberAccount } from './MemberAccount';
 import { MemberCashOut } from './MemberCashOut';
 import { MemberLabel } from './MemberLabel';
@@ -16,7 +17,7 @@ import { MemberAddress } from './MemberAddress';
 import { MemberAccountLog } from './MemberAccountLog';
 
 @Entity('member')
-export class Member extends BaseEntity {
+export class Member {
   @PrimaryGeneratedColumn({ name: 'member_id' })
   member_id: number;
 
@@ -26,6 +27,9 @@ export class Member extends BaseEntity {
   @Column({ name: 'pid', type: 'int', default: 0 })
   pid: number;
 
+  @Column({ name: 'site_id', type: 'int', default: 0 })
+  site_id: number;
+
   @Column({ name: 'username', type: 'varchar', length: 255, default: '' })
   username: string;
 
@@ -214,6 +218,15 @@ export class Member extends BaseEntity {
   @Column({ name: 'remark', type: 'varchar', length: 300, default: '' })
   remark: string;
 
+  @Column({ name: 'is_del', type: 'tinyint', default: 0 })
+  is_del: number;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0 })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0 })
+  update_time: number;
+
   // 关联关系
   @OneToMany(() => MemberAccount, (account) => account.member)
   accounts: MemberAccount[];
diff --git a/wwjcloud/src/common/member/entities/MemberAddress.ts b/wwjcloud/src/common/member/entities/MemberAddress.ts
index b958af4..79955dd 100644
--- a/wwjcloud/src/common/member/entities/MemberAddress.ts
+++ b/wwjcloud/src/common/member/entities/MemberAddress.ts
@@ -5,17 +5,19 @@ import {
   ManyToOne,
   JoinColumn,
 } from 'typeorm';
-import { BaseEntity } from '../../../core/base/BaseEntity';
 import { Member } from './Member';
 
 @Entity('member_address')
-export class MemberAddress extends BaseEntity {
+export class MemberAddress {
   @PrimaryGeneratedColumn({ name: 'id' })
   id: number;
 
-  @Column({ name: 'member_id', type: 'int', default: 0 })
+  @Column({ name: 'member_id', type: 'int', default: 0, comment: '会员id' })
   member_id: number;
 
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
   @Column({ name: 'name', type: 'varchar', length: 255, default: '' })
   name: string;
 
diff --git a/wwjcloud/src/common/member/entities/MemberLevel.ts b/wwjcloud/src/common/member/entities/MemberLevel.ts
index d42bd08..b9b668f 100644
--- a/wwjcloud/src/common/member/entities/MemberLevel.ts
+++ b/wwjcloud/src/common/member/entities/MemberLevel.ts
@@ -1,50 +1,37 @@
-import { Entity, PrimaryGeneratedColumn, Column, OneToMany } from 'typeorm';
-import { BaseEntity } from '@wwjCore/base/BaseEntity';
+import { Entity, PrimaryGeneratedColumn, Column, OneToMany, CreateDateColumn, UpdateDateColumn } from 'typeorm';
 import { Member } from './Member';
 
 @Entity('member_level')
-export class MemberLevel extends BaseEntity {
+export class MemberLevel {
   @PrimaryGeneratedColumn()
   level_id: number;
 
-  @Column({ type: 'varchar', length: 50, comment: '等级名称' })
+  @Column({ name: 'site_id', type: 'int', default: 0, comment: '站点id' })
+  site_id: number;
+
+  @Column({ name: 'level_name', type: 'varchar', length: 50, default: '', comment: '等级名称' })
   level_name: string;
 
-  @Column({ type: 'varchar', length: 255, comment: '等级图标' })
-  level_icon: string;
+  @Column({ name: 'growth', type: 'int', default: 0, comment: '所需成长值' })
+  growth: number;
 
-  @Column({ type: 'int', default: 0, comment: '升级所需积分' })
-  upgrade_point: number;
+  @Column({ name: 'remark', type: 'varchar', length: 255, default: '', comment: '备注' })
+  remark: string;
 
-  @Column({
-    type: 'decimal',
-    precision: 5,
-    scale: 2,
-    default: 1.0,
-    comment: '积分倍率',
-  })
-  point_rate: number;
-
-  @Column({
-    type: 'decimal',
-    precision: 5,
-    scale: 2,
-    default: 1.0,
-    comment: '折扣率',
-  })
-  discount_rate: number;
-
-  @Column({ type: 'int', default: 0, comment: '排序' })
-  sort: number;
-
-  @Column({ type: 'tinyint', default: 1, comment: '状态 1:启用 0:禁用' })
+  @Column({ name: 'status', type: 'int', default: 1, comment: '状态 0已禁用1已启用' })
   status: number;
 
-  @Column({ type: 'varchar', length: 255, comment: '等级描述' })
-  description: string;
+  @Column({ name: 'level_benefits', type: 'text', nullable: true, comment: '等级权益' })
+  level_benefits: string;
 
-  @Column({ type: 'varchar', length: 255, comment: '等级权益' })
-  benefits: string;
+  @Column({ name: 'level_gifts', type: 'text', nullable: true, comment: '等级礼包' })
+  level_gifts: string;
+
+  @CreateDateColumn({ name: 'create_time', type: 'int', default: 0, comment: '添加时间' })
+  create_time: number;
+
+  @UpdateDateColumn({ name: 'update_time', type: 'int', default: 0, comment: '更新时间' })
+  update_time: number;
 
   // 关联关系
   @OneToMany(() => Member, (member) => member.level)
diff --git a/wwjcloud/src/common/member/member.module.ts b/wwjcloud/src/common/member/member.module.ts
index 6de4b20..aa89d48 100644
--- a/wwjcloud/src/common/member/member.module.ts
+++ b/wwjcloud/src/common/member/member.module.ts
@@ -12,6 +12,7 @@ import { MemberAccountLog } from './entities/MemberAccountLog';
 import { MemberPoints } from './entities/MemberPoints';
 import { MemberBalance } from './entities/MemberBalance';
 import { MemberConfig } from './entities/MemberConfig';
+import { SysConfig } from '../settings/entities/sys-config.entity';
 import { CoreMemberService } from './services/core/CoreMemberService';
 import { MemberService as MemberApiService } from './services/api/MemberService';
 import { MemberAccountService } from './services/api/MemberAccountService';
@@ -65,6 +66,7 @@ import { MemberSignController } from './controllers/adminapi/MemberSignControlle
       MemberPoints,
       MemberBalance,
       MemberConfig,
+      SysConfig,
     ]),
   ],
   providers: [
diff --git a/wwjcloud/src/common/member/services/core/CoreMemberAddressService.ts b/wwjcloud/src/common/member/services/core/CoreMemberAddressService.ts
index b61c93c..05a7796 100644
--- a/wwjcloud/src/common/member/services/core/CoreMemberAddressService.ts
+++ b/wwjcloud/src/common/member/services/core/CoreMemberAddressService.ts
@@ -1,17 +1,14 @@
 import { Injectable } from '@nestjs/common';
 import { InjectRepository } from '@nestjs/typeorm';
 import { Repository } from 'typeorm';
-import { BaseService } from '@wwjCore/base/BaseService';
 import { MemberAddress } from '../../entities/MemberAddress';
 
 @Injectable()
-export class CoreMemberAddressService extends BaseService<MemberAddress> {
+export class CoreMemberAddressService {
   constructor(
     @InjectRepository(MemberAddress)
     private memberAddressRepository: Repository<MemberAddress>,
-  ) {
-    super(memberAddressRepository);
-  }
+  ) {}
 
   /**
    * 获取会员地址列表
@@ -26,7 +23,7 @@ export class CoreMemberAddressService extends BaseService<MemberAddress> {
       where,
       skip: (page - 1) * limit,
       take: limit,
-      order: { is_default: 'DESC', create_time: 'DESC' },
+      order: { is_default: 'DESC' },
     });
   }
 
@@ -39,6 +36,33 @@ export class CoreMemberAddressService extends BaseService<MemberAddress> {
     });
   }
 
+  /**
+   * 创建地址
+   */
+  async create(dto: any) {
+    const address = this.memberAddressRepository.create(dto);
+    return await this.memberAddressRepository.save(address);
+  }
+
+  /**
+   * 更新地址
+   */
+  async update(address_id: number, dto: any) {
+    const result = await this.memberAddressRepository.update(
+      { id: address_id },
+      dto
+    );
+    return (result.affected || 0) > 0;
+  }
+
+  /**
+   * 删除地址
+   */
+  async delete(address_id: number) {
+    const result = await this.memberAddressRepository.delete({ id: address_id });
+    return (result.affected || 0) > 0;
+  }
+
   /**
    * 设置默认地址
    */
